Bewerkingen

Hardwaretest uitvoeren

POST/v1/baremetal/{id}/hardware-test

Start een niet-destructieve hardwaretest op de dienst en geeft de gemaakte bewerking terug, die na het antwoord doorgaat.

Autorisatie

  • Authorizationstringheaderverplicht

    Organisatie-API-sleutel (org_...), gemaakt in de cloudconsole op https://cloud.serverside.com en één keer getoond, verstuurd als Authorization: Bearer <key>. Authenticeert als de organisatie.

Vereiste toestemming: organization.baremetal.deploy

Padparameters

  • idstring<uuid>verplicht

Body

application/json
  • isCpuIncludedbooleanverplicht
  • isMemoryIncludedbooleanverplicht
  • isDiskIncludedbooleanverplicht
  • isSmartIncludedbooleanverplicht
  • cpuDurationSecondsinteger<int32> | null

    Grenzen:10 <= x <= 1800

  • memoryDurationSecondsinteger<int32> | null

    Grenzen:10 <= x <= 1800

  • diskDurationSecondsinteger<int32> | null

    Grenzen:10 <= x <= 1800

  • cpuWorkersinteger<int32> | null

    Grenzen:1 <= x <= 1024

  • memoryPercentinteger<int32> | null

    Grenzen:1 <= x <= 95

  • diskBlockSizestring | null

    Grenzen:patroon ^[1-9][0-9]{0,7}[kKmM]?$

  • diskIoDepthinteger<int32> | null

    Grenzen:1 <= x <= 256

Antwoord

201 · application/json

Aangemaakt

  • successbooleanverplicht

    Toegestane waarden:true

  • dataobject | nullverplicht